#ifndef CSETTINGS_H
#define CSETTINGS_H

//(*Headers(CSettings)
#include <wx/notebook.h>
#include <wx/stattext.h>
#include <wx/checkbox.h>
#include <wx/panel.h>
#include <wx/dialog.h>
#include <wx/clrpicker.h>
//*)
#include "Settings.h"

class CSettings: public wxDialog
{
	public:

		CSettings(wxWindow* parent);
		virtual ~CSettings();

		//(*Declarations(CSettings)
		wxNotebook* Notebook1;
		wxStaticText* StaticText2;
		wxPanel* Panel1;
		wxStaticText* StaticText1;
		wxColourPickerCtrl* ColourPickerCtrl1;
		wxPanel* Panel3;
		wxCheckBox* CheckBox1;
		wxColourPickerCtrl* ColourPickerCtrl2;
		wxPanel* Panel2;
		//*)

	protected:

		//(*Identifiers(CSettings)
		//*)

	private:

		//(*Handlers(CSettings)
		void OnColourPickerCtrl1ColourChanged(wxColourPickerEvent& event);
		void OnColourPickerCtrl2ColourChanged(wxColourPickerEvent& event);
		void OnCheckBox1Click(wxCommandEvent& event);
        void OnOK(wxCommandEvent &event);
        void OnApply(wxCommandEvent &event);
		//*)

        wxWindow*         m_pParent;
        bool              m_IsChanged;
        ace::COptions     m_TempOptions;

		DECLARE_EVENT_TABLE()
};

#endif
